class ObserverMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Obserwator, czujniki temperatury w pojeździe");
        var temperatureControlSystem = new VehicleSystem();
        new CockpitObserver(temperatureControlSystem);
        new EngineObserver(temperatureControlSystem);

        temperatureControlSystem.setState("niska");
    }
}
